function::matched
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::matched — Return a given matched subexpression.

## Synopsis

        matched:string(n:long)

## Arguments

`n`

  index to the subexpression to return. 0 corresponds to the entire regular expression.

## Description

returns the content of the n'th subexpression of the last successful use of the =~ regex matching operator. Returns an empty string if the n'th subexpression was not matched (e.g. due to alternation). Throws an error if the last use of =~ was a failed match, or if fewer than n subexpressions are present in the original regexp.

Prev | Up | Next
function::isinstr | Home | function::matched_str